## cdrkit 1.1.2

=== icedax/CMakeLists.txt ===
PROJECT (icedax)
INCLUDE_DIRECTORIES(../include ../wodim ../libparanoia ${CMAKE_BINARY_DIR})
include(../include/AddScgBits.cmake)
include(../include/AddSchilyBits.cmake)
include(../include/AddNetworkBits.cmake)

FIND_FILE (HAVE_SYS_SOUNDCARD_H sys/soundcard.h)
IF(HAVE_SYS_SOUNDCARD_H)
   	ADD_DEFINITIONS(-DHAVE_SYS_SOUNDCARD_H)
ENDIF(HAVE_SYS_SOUNDCARD_H)
FIND_FILE (HAVE_LINUX_SOUNDCARD_H linux/soundcard.h)
IF(HAVE_LINUX_SOUNDCARD_H)
   	ADD_DEFINITIONS(-DHAVE_LINUX_SOUNDCARD_H)
ENDIF(HAVE_LINUX_SOUNDCARD_H)

LIST(APPEND EXTRA_LIBS  paranoia)
IF (WIN32)
	LIST(APPEND EXTRA_LIBS winmm)
ENDIF (WIN32)

LINK_DIRECTORIES(../librols ../libusal  ../libparanoia)
ADD_EXECUTABLE (icedax aifc.c aiff.c base64.c icedax.c interface.c ioctl.c md5c.c raw.c resample.c ringbuff.c scsi_cmds.c semshm.c setuid.c sha_func.c sndconfig.c sun.c toc.c wav.c)
TARGET_LINK_LIBRARIES(icedax wodimstuff ${EXTRA_LIBS})
SET_TARGET_PROPERTIES(icedax PROPERTIES  SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS icedax DESTINATION bin)
INSTALL(PROGRAMS pitchplay readmult cdda2mp3 cdda2ogg DESTINATION bin)
INSTALL(FILES cdda2ogg.1 icedax.1 pitchplay.1 readmult.1 list_audio_tracks.1 DESTINATION share/man/man1)

=== wodim/CMakeLists.txt ===
PROJECT (CDRECORD)
INCLUDE_DIRECTORIES(../include ../libedc ${CMAKE_BINARY_DIR})
INCLUDE(../include/AddScgBits.cmake)
include(../include/AddSchilyBits.cmake)

#AUX_SOURCE_DIRECTORY(. CDRECORD_SRCS)
SET(CDRECORD_SRCS wodim.c audiosize.c auinfo.c  cdr_drv.c cdtext.c clone.c crc16.c cue.c  diskid.c drv_7501.c drv_jvc.c drv_mmc.c drv_philips.c drv_simul.c drv_sony.c fifo.c  isosize.c scsi_cdr_mmc4.c scsi_mmc4.c sector.c subchan.c wm_packet.c wm_session.c wm_track.c xio.c)
SET(CDRECORD_COMMON_SRCS cd_misc.c defaults.c getnum.c misc.c modes.c movesect.c scsi_cdr.c scsi_mmc.c scsi_scan.c)

INCLUDE(CheckIncludeFiles)

#force libcap usage on Linux
CHECK_INCLUDE_FILES("sys/capability.h" HAVE_SYS_CAPABILITY_H)
IF(HAVE_SYS_CAPABILITY_H)
	LIST(APPEND EXTRA_LIBS cap)
ELSE(HAVE_SYS_CAPABILITY_H)
   IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
      MESSAGE(FATAL_ERROR "Error: found a Linux system but no libcap header. Install libcap-dev.")
   ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")
ENDIF(HAVE_SYS_CAPABILITY_H)

LINK_DIRECTORIES(../librols ../libusal  ../libedc)

ADD_DEFINITIONS(-DHAVE_LIB_EDC_ECC -DCLONE_WRITE)

ADD_EXECUTABLE (wodim ${CDRECORD_SRCS})
ADD_LIBRARY (wodimstuff STATIC ${CDRECORD_COMMON_SRCS})
LIST(APPEND EXTRA_LIBS wodimstuff)

TARGET_LINK_LIBRARIES(wodim ${EXTRA_LIBS}  edc)
SET_TARGET_PROPERTIES(wodim PROPERTIES SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS wodim DESTINATION bin)
INSTALL(FILES 
   wodim.1
DESTINATION share/man/man1)

## cdrkit 1.1.6

=== CMakeLists.txt ===
PROJECT (cdrkit)
SUBDIRS(include genisoimage wodim libedc libhfs_iso libparanoia icedax libusal librols libunls readom netscsid 3rd-party/dirsplit)

=== genisoimage/CMakeLists.txt ===
PROJECT (MKISOFS)

INCLUDE(../include/AddScgBits.cmake)
INCLUDE(../include/AddSchilyBits.cmake)

INCLUDE_DIRECTORIES(../include ../libhfs_iso ../wodim ${CMAKE_BINARY_DIR})

INCLUDE(CheckIncludeFiles)
CHECK_INCLUDE_FILES("magic.h" USE_MAGIC)
IF(USE_MAGIC)
	ADD_DEFINITIONS(-DUSE_MAGIC)
	SET(MAGICLIBS magic)
ENDIF(USE_MAGIC)

    IF(HAVE_ICONV_H)
    ADD_DEFINITIONS(-DUSE_ICONV)
    #INCLUDE(CheckLibraryExists)
#    CHECK_LIBRARY_EXISTS (iconv "iconv_open(argv[0],argv[0])" "" USE_LIBICONV)
IF(USE_LIBICONV)
    LIST(APPEND EXTRA_LIBS "iconv")
ELSE(USE_LIBICONV)
#           MESSAGE("No additional libiconv found, maybe not required. If required, change linker flags, see TROUBLESHOOTING in the INSTALL file")
ENDIF(USE_LIBICONV)
ENDIF(HAVE_ICONV_H)

ADD_DEFINITIONS(-DUSE_LARGEFILES -DABORT_DEEP_ISO_ONLY -DAPPLE_HYB -DUDF -DDVD_VIDEO -DSORTING -DHAVE_CONFIG_H -DUSE_LIBSCHILY -DUSE_SCG -DJIGDO_TEMPLATE)

SET(MKISOFS_MOST_SRCS apple.c boot.c desktop.c dvd_file.c dvd_reader.c eltorito.c exclude.c files.c fnmatch.c hash.c ifo_read.c joliet.c mac_label.c match.c multi.c name.c rock.c scsi.c stream.c tree.c udf.c vms.c volume.c write.c boot-alpha.c boot-hppa.c boot-mips.c md5.c jte.c rsync.c
 	boot-mipsel.c endian.c )
  
INCLUDE(CheckFunctionExists)
SET(CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE)
CHECK_FUNCTION_EXISTS("getopt_long" HAVE_GETOPT_LONG)
IF(NOT HAVE_GETOPT_LONG)
    LIST ( APPEND MKISOFS_MOST_SRCS  getopt.c getopt1.c )
ENDIF(NOT HAVE_GETOPT_LONG)
 

#SET_SOURCE_FILES_PROPERTIES(${MKISOFS_MOST_SRCS} PROPERTIES )
LINK_DIRECTORIES(../libhfs_iso ../librols ../libusal ../libunls  ../wodim)

ADD_EXECUTABLE (genisoimage genisoimage.c ${MKISOFS_MOST_SRCS})
TARGET_LINK_LIBRARIES(genisoimage wodimstuff hfs_iso  ${MAGICLIBS} c unls z ${EXTRA_LIBICONV} ${EXTRA_LIBS})

# common lib set and genisoimage source parts for the rest
LINK_LIBRARIES(wodimstuff ${EXTRA_LIBS}  unls ${EXTRA_LIBICONV} )
ADD_EXECUTABLE(devdump diag/dump.c scsi.c)
ADD_EXECUTABLE(isodebug	diag/isodebug.c scsi.c)
ADD_EXECUTABLE(isodump	diag/isodump.c scsi.c)
ADD_EXECUTABLE(isoinfo diag/isoinfo.c scsi.c)
ADD_EXECUTABLE(isovfy	diag/isovfy.c scsi.c)


SET_TARGET_PROPERTIES(genisoimage devdump isodebug isodump isoinfo isovfy PROPERTIES  SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS genisoimage devdump isodebug isodump isoinfo isovfy DESTINATION bin)
INSTALL(FILES 
genisoimage.1
diag/devdump.1
diag/isodebug.1
diag/isodump.1
diag/isoinfo.1
diag/isovfy.1
DESTINATION ${MANSUBDIR}/man1)
INSTALL(FILES genisoimagerc.5 DESTINATION "${MANSUBDIR}/man5")

=== icedax/CMakeLists.txt ===
PROJECT (icedax)
INCLUDE_DIRECTORIES(../include ../wodim ../libparanoia ${CMAKE_BINARY_DIR})
include(../include/AddScgBits.cmake)
include(../include/AddSchilyBits.cmake)
include(../include/AddNetworkBits.cmake)

FIND_FILE (HAVE_SYS_SOUNDCARD_H sys/soundcard.h)
IF(HAVE_SYS_SOUNDCARD_H)
   	ADD_DEFINITIONS(-DHAVE_SYS_SOUNDCARD_H)
ENDIF(HAVE_SYS_SOUNDCARD_H)
FIND_FILE (HAVE_LINUX_SOUNDCARD_H linux/soundcard.h)
IF(HAVE_LINUX_SOUNDCARD_H)
    ADD_DEFINITIONS(-DHAVE_LINUX_SOUNDCARD_H)
ENDIF(HAVE_LINUX_SOUNDCARD_H)

FIND_LIBRARY(HAVE_LIBOSSAUDIO "ossaudio")
IF(HAVE_LIBOSSAUDIO)
   LIST(APPEND EXTRA_LIBS "ossaudio")
ENDIF(HAVE_LIBOSSAUDIO)

LIST(APPEND EXTRA_LIBS  paranoia)
IF (WIN32)
	LIST(APPEND EXTRA_LIBS winmm)
ENDIF (WIN32)

LINK_DIRECTORIES(../librols ../libusal  ../libparanoia)
ADD_EXECUTABLE (icedax aifc.c aiff.c base64.c icedax.c interface.c ioctl.c raw.c resample.c ringbuff.c scsi_cmds.c semshm.c setuid.c sha_func.c sndconfig.c sun.c toc.c wav.c)
TARGET_LINK_LIBRARIES(icedax wodimstuff ${EXTRA_LIBS})
SET_TARGET_PROPERTIES(icedax PROPERTIES  SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS icedax DESTINATION bin)
INSTALL(PROGRAMS pitchplay readmult cdda2mp3 cdda2ogg DESTINATION bin)
INSTALL(FILES cdda2ogg.1 icedax.1 pitchplay.1 readmult.1 list_audio_tracks.1 DESTINATION ${MANSUBDIR}/man1)

=== include/CMakeLists.txt ===
PROJECT (INCLUDES)

FILE(READ "${CMAKE_SOURCE_DIR}/VERSION" CDRKIT_VERSION)
STRING(REPLACE "\n" "" CDRKIT_VERSION "${CDRKIT_VERSION}")
MESSAGE("Configuring Cdrkit, version ${CDRKIT_VERSION}")

# auto-generated header with sizeof magic
INCLUDE(CheckTypeSize)
CHECK_TYPE_SIZE(short SIZE_SHORT)
MATH(EXPR SHORTLESS ${SIZE_SHORT}-1)
CHECK_TYPE_SIZE(int SIZE_INT)
MATH(EXPR INTLESS ${SIZE_INT}-1)
CHECK_TYPE_SIZE(long SIZE_LONG)
MATH(EXPR LONGLESS ${SIZE_LONG}-1)
CHECK_TYPE_SIZE("long long" SIZE_LLONG)
MATH(EXPR LLONGLESS ${SIZE_LLONG}-1)
CHECK_TYPE_SIZE(float SIZE_FLOAT)
MATH(EXPR FLOATLESS ${SIZE_FLOAT}-1)
CHECK_TYPE_SIZE(double SIZE_DOUBLE)
MATH(EXPR DOUBLELESS ${SIZE_DOUBLE}-1)
CHECK_TYPE_SIZE("char*" SIZE_PTR)
MATH(EXPR PTRLESS ${SIZE_PTR}-1)
CONFIGURE_FILE( align.h.in align.h)
#SET_SOURCE_FILES_PROPERTIES(align.h PROPERTIES GENERATED 1)

TRY_COMPILE(VA_LIST_IS_ARRAY ${CMAKE_BINARY_DIR}  ${CMAKE_CURRENT_SOURCE_DIR}/test_VA_LIST_IS_ARRAY.c)
# invert the result, has the condition IFF compiler fails. There must be a simple way to say a=!b... but how?
IF(VA_LIST_IS_ARRAY) 
   SET(VA_LIST_IS_ARRAY FALSE)
else(VA_LIST_IS_ARRAY) 
   SET(VA_LIST_IS_ARRAY TRUE)
endif(VA_LIST_IS_ARRAY)


INCLUDE(TestBigEndian)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

TRY_RUN(BITFIELDS_HTOL TEST_DUMMY ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/test_BITFIELDS_HTOL.c)

INCLUDE(CheckIncludeFiles)

#SET(CMAKE_REQUIRED_INCLUDES "/usr/include;/usr/local/include")
CHECK_INCLUDE_FILES("stdarg.h" HAVE_STDARG_H)
CHECK_INCLUDE_FILES("stdlib.h" HAVE_STDLIB_H)
CHECK_INCLUDE_FILES("string.h" HAVE_STRING_H)
CHECK_INCLUDE_FILES("strings.h" HAVE_STRINGS_H)
CHECK_INCLUDE_FILES("unistd.h" HAVE_UNISTD_H)
CHECK_INCLUDE_FILES("getopt.h" HAVE_GETOPT_H)
CHECK_INCLUDE_FILES("limits.h" HAVE_LIMITS_H)
CHECK_INCLUDE_FILES("fcntl.h" HAVE_FCNTL_H)
CHECK_INCLUDE_FILES("sys/file.h" HAVE_SYS_FILE_H)
CHECK_INCLUDE_FILES("inttypes.h" HAVE_INTTYPES_H)
CHECK_INCLUDE_FILES("dirent.h" HAVE_DIRENT_H)
CHECK_INCLUDE_FILES("alloca.h" HAVE_ALLOCA_H)
CHECK_INCLUDE_FILES("termios.h" HAVE_TERMIOS_H)
CHECK_INCLUDE_FILES("termio.h" HAVE_TERMIO_H)
CHECK_INCLUDE_FILES("pwd.h" HAVE_PWD_H)
CHECK_INCLUDE_FILES("sys/time.h" HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES("utime.h" HAVE_UTIME_H)
CHECK_INCLUDE_FILES("sys/ioctl.h" HAVE_SYS_IOCTL_H)
CHECK_INCLUDE_FILES("sys/param.h" HAVE_SYS_PARAM_H)
CHECK_INCLUDE_FILES("wait.h" HAVE_WAIT_H)
CHECK_INCLUDE_FILES("sys/wait.h" HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILES("sys/resource.h" HAVE_SYS_RESOURCE_H)
CHECK_INCLUDE_FILES("sys/utsname.h" HAVE_SYS_UTSNAME_H)
CHECK_INCLUDE_FILES("poll.h" HAVE_POLL_H)
CHECK_INCLUDE_FILES("sys/poll.h" HAVE_SYS_POLL_H)
CHECK_INCLUDE_FILES("netdb.h" HAVE_NETDB_H)
CHECK_INCLUDE_FILES("sys/socket.h" HAVE_SYS_SOCKET_H)
CHECK_INCLUDE_FILES("linux/pg.h" HAVE_LINUX_PG_H)
CHECK_INCLUDE_FILES("arpa/inet.h" HAVE_ARPA_INET_H)
CHECK_INCLUDE_FILES("sys/ipc.h" HAVE_SYS_IPC_H)
CHECK_INCLUDE_FILES("sys/types.h;sys/mman.h" HAVE_SYS_MMAN_H)
CHECK_INCLUDE_FILES("sys/types.h;sys/dkio.h" HAVE_SYS_DKIO_H)
CHECK_INCLUDE_FILES("sys/types.h;sun/dkio.h" HAVE_SUN_DKIO_H)
CHECK_INCLUDE_FILES("iconv.h" HAVE_ICONV_H)


INCLUDE(CheckCSourceCompiles)
INCLUDE(CheckFunctionExists)

#SET(CMAKE_REQUIRED_LIBRARIES iconv)
SET(TESTSRC " 
#include <iconv.h>
int main(int a, char **b) { iconv_t foo = iconv_open(b[0], b[0]); return(0); }
")

CHECK_C_SOURCE_COMPILES("${TESTSRC}" USE_LIBC_ICONV)
IF(NOT USE_LIBC_ICONV)
SET(CMAKE_REQUIRED_LIBRARIES iconv)
CHECK_C_SOURCE_COMPILES("${TESTSRC}" USE_LIBICONV)
IF(NOT USE_LIBICONV)
   message("ERROR: no library providing iconv found")
ENDIF(NOT USE_LIBICONV)
ENDIF(NOT USE_LIBC_ICONV)
SET(CMAKE_REQUIRED_INCLUDES )



#CHECK_C_SOURCE_COMPILES("${TESTSRC}" USE_LIBICONV)
#IF(NOT USE_LIBICONV)
#   FIND_FILE(ICONV_H_LOCATION "iconv.h")
#   IF(NOT "${ICONV_H_LOCATION}" EQUAL "/usr/include/iconv.h")
#      MESSAGE("WARNING: iconv.h found in non-standard location (${ICONV_H_LOCATION}) but")
#      MESSAGE("GNU libiconv is not available. See INSTALL for details. Sleeping 10 seconds.")
#      EXECUTE_PROCESS(COMMAND "sleep" "10")
#   ENDIF(NOT "${ICONV_H_LOCATION}" EQUAL "/usr/include/iconv.h")
#ENDIF(NOT USE_LIBICONV)

SET(CMAKE_REQUIRED_LIBRARIES )
SET(TESTSRC " 
#include <stdlib.h>
int main() { return ( (int) drand48()  )  ; }
")
CHECK_C_SOURCE_COMPILES("${TESTSRC}" HAVE_DRAND48)
SET(TESTSRC " 
#include <stdlib.h>
int main() { return ( (int) drand()  )  ; }
")
CHECK_C_SOURCE_COMPILES("${TESTSRC}" HAVE_DRAND)
SET(TESTSRC " 
#include <sys/socket.h>
#include <netdb.h>
int main(int argc, char **argv) {
struct sockaddr sa;
return getnameinfo(&sa, 1, argv[0], 1, argv[1], 1, 0);
}
")
CHECK_C_SOURCE_COMPILES("${TESTSRC}" HAVE_GETNAMEINFO)
SET(TESTSRC " 
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
int main(int a, char **b) {
struct in_addr in;
inet_ntoa(in);
return 0;
}
")
CHECK_C_SOURCE_COMPILES("${TESTSRC}" HAVE_INET_NTOA)

SET(TESTSRC "
#include <sys/types.h>
#include <wait.h>
int main() {
union wait w;
return 0; 
}
")
# FIXME: try the same with #include <sys/wait.h>... may work, if yes, integrate properly
CHECK_C_SOURCE_COMPILES("${TESTSRC}" HAVE_UNION_WAIT)
SET(TESTSRC "
#include <sys/types.h>
#include <sys/mman.h>
int main() {
if (mlockall(MCL_CURRENT|MCL_FUTURE) < 0)  
   return(0);
   }
")
CHECK_C_SOURCE_COMPILES("${TESTSRC}" HAVE_MLOCKALL)
SET(TESTSRC "
int main(int argc, char **argv) {
   int a[argc];
   return 0;
}
")
CHECK_C_SOURCE_COMPILES("${TESTSRC}" HAVE_DYN_ARRAYS)

CONFIGURE_FILE( xconfig.h.in xconfig.h)

=== libedc/CMakeLists.txt ===
PROJECT (LIBEDC)
INCLUDE_DIRECTORIES(../include . ${CMAKE_BINARY_DIR})

AUX_SOURCE_DIRECTORY(. LIBEDC_SRCS)

ADD_LIBRARY (edc STATIC ${LIBEDC_SRCS})

=== librols/CMakeLists.txt ===
PROJECT (LIBROLS)
INCLUDE_DIRECTORIES(../include ../libhfs_iso ${CMAKE_BINARY_DIR} ../wodim)

SET(LIBROLS_SRCS  astoi.c astoll.c astoull.c breakline.c cmpbytes.c comerr.c error.c fexec.c fillbytes.c getargs.c getav0.c getdomainname.c geterrno.c gethostid.c gethostname.c getpagesize.c handlecond.c movebytes.c raisecond.c rename.c saveargs.c seterrno.c spawn.c strcatl.c strdup.c streql.c swabbytes.c usleep.c stdio/cvmod.c stdio/dat.c stdio/fcons.c stdio/fdown.c stdio/fdup.c stdio/ffileread.c stdio/ffilewrite.c stdio/fgetline.c stdio/file_raise.c stdio/fileclose.c stdio/fileluopen.c stdio/filemopen.c stdio/fileopen.c  stdio/filepos.c stdio/fileread.c stdio/filereopen.c stdio/fileseek.c stdio/filesize.c stdio/filestat.c stdio/filewrite.c stdio/flag.c stdio/flush.c stdio/fpipe.c stdio/niread.c stdio/niwrite.c stdio/nixread.c stdio/nixwrite.c stdio/openfd.c stdio/peekc.c default.c)

ADD_LIBRARY (rols STATIC ${CMAKE_CURRENT_SOURCE_DIR}/../include/xconfig.h  ${CMAKE_CURRENT_SOURCE_DIR}/../include/align.h ${LIBROLS_SRCS})

=== libunls/CMakeLists.txt ===
PROJECT (LIBunls)
INCLUDE_DIRECTORIES(../include ../libhfs_iso ../wodim ${CMAKE_BINARY_DIR})
ADD_DEFINITIONS(-DHAVE_CONFIG_H)

    IF(HAVE_ICONV_H)
ADD_DEFINITIONS(-DUSE_ICONV)
    ENDIF(HAVE_ICONV_H)


SET(LIBunls_SRCS nls_base.c nls_config.c nls_cp10000.c nls_cp10006.c nls_cp10007.c nls_cp10029.c nls_cp10079.c nls_cp10081.c nls_cp1250.c nls_cp1251.c nls_cp437.c nls_cp737.c nls_cp775.c nls_cp850.c nls_cp852.c nls_cp855.c nls_cp857.c nls_cp860.c nls_cp861.c nls_cp862.c nls_cp863.c nls_cp864.c nls_cp865.c nls_cp866.c nls_cp869.c nls_cp874.c nls_file.c nls_iso8859-1.c nls_iso8859-14.c nls_iso8859-15.c nls_iso8859-2.c nls_iso8859-3.c nls_iso8859-4.c nls_iso8859-5.c nls_iso8859-6.c nls_iso8859-7.c nls_iso8859-8.c nls_iso8859-9.c nls_koi8-r.c nls_koi8-u.c nls_iconv.c) 
#SET_SOURCE_FILES_PROPERTIES(${LIBunls_SRCS} PROPERTIES )
ADD_LIBRARY (unls STATIC ${LIBunls_SRCS})

=== netscsid/CMakeLists.txt ===
PROJECT (netscsid)
INCLUDE_DIRECTORIES(../include ../wodim ${CMAKE_BINARY_DIR} )
INCLUDE(../include/AddScgBits.cmake)
INCLUDE(../include/AddSchilyBits.cmake)
INCLUDE(../include/AddNetworkBits.cmake)

LINK_DIRECTORIES(../librols ../libusal )
ADD_EXECUTABLE (netscsid netscsid.c)
#SET_SOURCE_FILES_PROPERTIES(netscsid.c )
TARGET_LINK_LIBRARIES(netscsid ${EXTRA_LIBS} )
#SET_TARGET_PROPERTIES(netscsid PROPERTIES  SKIP_BUILD_RPATH TRUE)
INSTALL(TARGETS netscsid DESTINATION sbin)

=== readom/CMakeLists.txt ===
PROJECT (READECD)
INCLUDE_DIRECTORIES(../include ../wodim ${CMAKE_BINARY_DIR})
INCLUDE(../include/AddScgBits.cmake)
INCLUDE(../include/AddSchilyBits.cmake)

AUX_SOURCE_DIRECTORY(. readom_SRCS)

LINK_DIRECTORIES(../librols ../libusal  ../wodim)

ADD_DEFINITIONS(-DCLONE_WRITE)

ADD_EXECUTABLE (readom ${readom_SRCS})
TARGET_LINK_LIBRARIES(readom wodimstuff ${EXTRA_LIBS})
SET_TARGET_PROPERTIES(readom PROPERTIES  SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS readom DESTINATION bin)
INSTALL(FILES 
readom.1
DESTINATION ${MANSUBDIR}/man1)

=== wodim/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,8 @@
 
 LINK_DIRECTORIES(../librols ../libusal  ../libedc)
 
-ADD_DEFINITIONS(-DHAVE_LIB_EDC_ECC -DCLONE_WRITE)
+ADD_DEFINITIONS(-DHAVE_LIB_EDC_ECC -DCLONE_WRITE -DDRV_DVD -DFIFO -DAUINFO -DUSE_LARGEFILES )
+
 
 ADD_EXECUTABLE (wodim ${CDRECORD_SRCS})
 ADD_LIBRARY (wodimstuff STATIC ${CDRECORD_COMMON_SRCS})
@@ -33,4 +34,4 @@
 INSTALL(TARGETS wodim DESTINATION bin)
 INSTALL(FILES 
    wodim.1
-DESTINATION share/man/man1)
+DESTINATION ${MANSUBDIR}/man1)

=== 3rd-party/dirsplit/CMakeLists.txt ===
PROJECT (DIRSPLIT)
INSTALL(PROGRAMS dirsplit DESTINATION bin)
INSTALL(FILES dirsplit.1 DESTINATION share/man/man1)

=== 3rd-party/zisofs_tools/CMakeLists.txt ===
PROJECT (ZISOFSTOOLS)
ADD_DEFINITIONS(-Wall -W -Wpointer-arith -Wbad-function-cast -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Winline -Wshadow -Wcast-align)
AUX_SOURCE_DIRECTORY(. MKZ_SRCS)
ADD_EXECUTABLE (mkzftree ${MKZ_SRCS})
TARGET_LINK_LIBRARIES(mkzftree z)
SET_TARGET_PROPERTIES(mkzftree PROPERTIES  SKIP_BUILD_RPATH TRUE)
INSTALL(TARGETS mkzftree DESTINATION bin)
INSTALL(FILES mkzftree.1 DESTINATION share/man/man1)

## cdrkit 1.1.10-maemo1

=== debian/changelog ===
cdrkit (9:1.1.10-maemo1) unstable; urgency=low

  * Initial release for maemo.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sat, 25 Sep 2010 20:47:39 +0200

cdrkit (9:1.1.10-1) unstable; urgency=low

  * New upstream release.
    - Several functions that clash with POSIX renamed.  (Closes: #547886)
  * Fix FTBFS with missing xconfig.h. Thanks to Matt Kraai for the patch.
    Closes: #556382

 -- Steve McIntyre <93sam@debian.org>  Fri, 27 Nov 2009 23:27:43 +0000

cdrkit (9:1.1.9-1) unstable; urgency=low

  * New upstream release with a couple of important bugfixes:
    - wodim: In -msinfo mode, only suggest dvd+rw-mediainfo in verbose mode.
      Thanks to Michael Karcher <debian@mkarcher.dialup.fu-berlin.de> for the
      patch. Closes: #436146
    - genisoimage: undo a mistake in the directory permissions change in
      the last release. Fixes handling of deep directory structures.
      Closes: #488482

 -- Steve McIntyre <93sam@debian.org>  Sun, 26 Oct 2008 15:43:54 -0700

cdrkit (9:1.1.8-1) unstable; urgency=low

  * New upstream release, lots of changes in genisoimage:
    - Add command-line support for -jigdo-template-compress.
    - Fix a type issue that broke sha1 support on 64-bit arches.
    - Added test code; changed internal layout slightly to make
      for easier debug.
    - Applied patch from Roman Rakus <rrakus@redhat.com> to
      preserve directory permissions.
    - Add a patch from Ivan Shmakov. "-o -" will now write
      to stdout, as typical for command line programs. And we will try
      not to corrupt stdout by default if it's a terminal.
      Closes: #426389
    - Fix broken changes in mac_label.c and add -chrp-boot to the man
      page. Closes: #437221
    - Other small cleanups.
  * Update Build-Dependency to libcap2-dev. Closes: #482200.

 -- Steve McIntyre <93sam@debian.org>  Sun, 25 May 2008 23:38:35 +0100

cdrkit (9:1.1.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Steve McIntyre <93sam@debian.org>  Mon, 17 Mar 2008 21:25:56 +0000

cdrkit (9:1.1.7-1) unstable; urgency=low

  * New upstream release.
    - wodim.1 no longer implies that dev= is required.  (Closes: #434172)
    - Various typo fixes in wodim.1.  (Closes: #463273, #430555)
    - Typo fixes in readom.1.  (Closes: #446041)
    - lots of fixes to prevent gcc warnings
    - fix jigdo exclude list handling (Closes: #411873)
    - Fix for Joliet directory length bug in genisoimage
      (Closes: #430558, #429244)
    - add support for bzip2-compressed templates
    - genisoimage/jte.c: fix exclude list handling.
    - Add a generic infrastructure for checksums so we can use
      sha1/<whatever> as well as just md5sum. Will make things much
      faster for generating sha1sums for images and jigdos.
    - Add GPL-licensed SHA1 implementation.

 -- Steve McIntyre <93sam@debian.org>  Mon, 17 Mar 2008 20:07:58 +0000

cdrkit (9:1.1.6-1) unstable; urgency=low

  * New upstream release
    + more carefull fixation (closes: #411362)
  
  [ Peter Samuelson ]
  * Add genisoimagerc(5) to genisoimage package (closes: #422025)
  * Fix typos in wodim(1) and isoinfo(1). (closes: #430555)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 May 2007 16:38:38 +0200

cdrkit (9:1.1.5.1-1) unstable; urgency=low

  * New minor upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 21 Apr 2007 11:48:52 +0200

cdrkit (9:1.1.5-1) unstable; urgency=low

  * New upstream release
  * drop symlink or empty cdrecord directory before unpacking (closes: #418473)
  * drop symlink or empty mkisofs directory before unpacking (closes: #418474)

 -- Eduard Bloch <blade@debian.org>  Sat, 21 Apr 2007 11:16:52 +0200

cdrkit (9:1.1.4-1) unstable; urgency=high

  * New upstream release
    + picking /dev/sr* devices rather then /dev/sg*, making the additional sg
      driver loading unneccesary when the b/t/l syntax is used, and sharing
      the access controls with other programs acting on the block device
      (closes: #413960)

 -- Eduard Bloch <blade@debian.org>  Sun, 01 Apr 2007 21:49:11 +0200

cdrkit (9:1.1.3-1) unstable; urgency=medium

  * New upstream version with important bugfixes
    + dealing with newline when searching for device (closes: #408456).
      Also telling the expected track size to not confuse (closes: #409005)
    + corrected picking up of the SCSI transfer size (closes: #407773)
    + correct fallback to CDR_FIFOSIZE (closes: #408840)
    + restores forgotten compiler definitions on wodim (closes: #407611)
    + provisional LFS support in UDF (closes: #401988)
    + transfer size extraction fix (part of #407773)
    + default gracetime value changed in recommendations (closes: #408844)
    + telling the user when the drive is mounted and therefore busy
      (closes: #414271)
  * Relaxed version dependency of cmake (closes: #407163)

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Mar 2007 22:31:24 +0200

cdrkit (9:1.1.2-1) unstable; urgency=medium

  * New upstream version
    + mentions readom in wodim's manpage (closes: #405979)
    + subtle behaviour improvements like not allowing writting when -dummy is
      specified by user but could be ignored by the drive
  * Updated geteltorito.pl to 0.4 including patch from manty
  * installing geteltorito in genisoimage and documented it and other 3rd-party
    stuff in the genisoimage package description
  * added md5sum of Ubuntu's conffile version to the big list of obsolete
    version checksums in wodim.preinst (lp: #73832)
  * added the burnstuff script to the examples in wodim package

 -- Eduard Bloch <blade@debian.org>  Sat, 13 Jan 2007 00:45:22 +0100

cdrkit (9:1.1.1-1) unstable; urgency=medium

  * New upstream version
    + more verbose abort message if track is specified with some maintainance
      command (closes: #369677)
    + BURN-Free enabled by default (closes: #403899)
    + uses correct CFLAGS variable (closes: #402190)
    + moved *iso* manpages to section 1, many manpage fixes 
      (closes: #404289, #402044)


=== debian/control ===
Source: cdrkit
Priority: optional
Section: system
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Uploaders: Eduard Bloch <blade@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>=5.0.37.3), libbz2-dev, zlib1g-dev, autotools-dev, cmake (>= 2.4.2-1), libcap-dev, libmagic1
Standards-Version: 3.7.2

Package: wodim
Architecture: any
Depends: ${shlibs:Depends}
Recommends: genisoimage
Replaces: cdrtools-doc (<< 5:1.0~pre1-1), cdrecord (<< 5:1.0~pre1-1)
Suggests: cdrkit-doc
Conflicts: cdrecord (<< 5:1.0~pre1-1), xcdroast (<< 0.98+0alpha15-11)
Description: command line CD/DVD writing tool
 wodim allows you to create CDs or DVDs on a CD/DVD recorder.
 It supports writing data, audio, mixed, multi-session, and CD+ disc and DVD
 data and video disks on DVD capable devices, on just about every type of
 CD/DVD recorder out there.
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: genisoimage
Architecture: any
Depends: ${shlibs:Depends}
Suggests: wodim, cdrkit-doc
Replaces: mkisofs (<< 9:1.0)
Conflicts: mkhybrid, mkisofs (<< 9:1.0)
Description: Creates ISO-9660 CD-ROM filesystem images
 genisoimage is a pre-mastering program for creating ISO-9660 CD-ROM 
 filesystem images, which can then be written to CD or DVD media using
 the wodim program. genisoimage includes support for making bootable
 "El Torito" CDs, as well as CDs with support for the
 Macintosh HFS filesystem.
 .
 The package also includes extra tools useful for working with ISO images:
  * mkzftree - create ISO-9660 image with compressed contents
  * dirsplit - easily separate large directory contents into disks of
    predefined size
  * geteltorito - extract an El Torito boot image from a CD image
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: icedax
Architecture: any
Suggests: vorbis-tools, cdrkit-doc
Depends: ${shlibs:Depends}
Section: sound
Replaces: cdda2wav (<< 9:1.0)
Conflicts: cdda2wav (<< 9:1.0)
Description: Creates WAV files from audio CDs
 icedax lets you digitally copy ("rip") audio tracks from a CD, avoiding
 the distortion that is introduced when recording via a sound card. Data 
 can be dumped into raw (cdr), wav or sun format sound files. Options control
 the recording format (stereo/mono; 8/16 bits; sampling rate, etc).
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: cdrkit-doc
Architecture: all
Section: doc
Replaces: cdrtools-doc
Conflicts: cdrtools-doc
Suggests: wodim, genisoimage, icedax
Description: Documentation for the cdrkit package suite
 This is the documentation for the cdrkit package suite, namely
 wodim, genisoimage and icedax.


Package: cdrecord
Architecture: all
Depends: wodim (>= 5:1.0~pre1-1), debconf | debconf-2.0
Description: Dummy transition package for wodim
 This is a dummy package to ease the transition to wodim, the fork of
 cdrecord.  It provides a cdrecord symlink to wodim for compatibility
 purposes.  Please use wodim instead of cdrecord.

Package: mkisofs
Architecture: all
Depends: genisoimage
Description: Dummy transition package for genisoimage
 This is a dummy package to ease the transition to genisoimage, the
 fork of mkisofs.  It provides a mkisofs symlink to genisoimage for
 compatibility purposes.  Please use genisoimage instead of mkisofs.

Package: cdda2wav
Architecture: all
Depends: icedax
Section: sound
Description: Dummy transition package for icedax
 This is a dummy package to ease the transition to icedax, the fork of
 cdda2wav.  It provides a cdda2wav symlink to icedax for compatibility
 purposes.  Please use icedax instead of cdda2wav.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for cdrkit.  GPL2
# Original from Erik Andersen <andersee@debian.org>
#

PACKAGE = cdrkit

CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

i=$(shell pwd)/debian/tmp/usr
b=$(shell pwd)/debian/build
iso=genisoimage
cdd=icedax
cdr=wodim
ziso_VERSION = $(shell cat 3rd-party/zisofs_tools/version)
source_VERSION= $(shell dpkg-parsechangelog | sed -ne '/^Version:/s/^V.*://p')


build: build/build-debstamp
build/build-debstamp:
#	@if test -f ../cdrkit_$(source_VERSION).tar.gz ; then \
#		echo "You should not create native packages! Remove ../cdrkit_$(source_VERSION).tar.gz and copy upstream source to .orig.tar.gz" ; \
#		exit 1 ; \
#	fi
	@echo "--- Compiling"
	dh_testdir
	echo "#define ZISOFS_TOOLS_VERSION \"$(ziso_VERSION)\"" > 3rd-party/zisofs_tools/version.h
	make CFLAGS='$(CFLAGS)'
	cd 3rd-party/zisofs_tools && CFLAGS='$(CFLAGS)' ./configure && $(MAKE)
	touch build/build-debstamp

clean:
	@echo "--- Cleaning"
	dh_testdir
	dh_testroot
	-$(MAKE) -C 3rd-party/zisofs_tools distclean
	-./.clean
	dh_clean -k
	 # clean up the stuff dh_clean leaves behind
	-rm -rf debian/build debian/files
	-rm -f `find . -name "*~"`
	-rm -rf `find . -name "\.deps"`
	-rm -rf `find . -name "\.libs"`
	-rm -rf `find . -name "*\.rej"`
	-rm -rf build

install: build build/install-debstamp
build/install-debstamp:
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_clean
	rm -rf $(b)
	make install PREFIX=$(i)

	install -m 755 3rd-party/geteltorito/geteltorito.pl $(i)/bin/geteltorito
	install -m 755 3rd-party/zisofs_tools/mkzftree $(i)/bin/
	install -m 755 icedax/cdda2ogg $(i)/bin/
	install -m 755 icedax/cdda2mp3 $(i)/bin/
	install -m 755 icedax/readmult $(i)/bin/
	install -m 755 icedax/pitchplay $(i)/bin/
	touch build/install-debstamp

binary-indep: build install cdrkit-doc cdrecord cdda2wav mkisofs

binary-arch: build install wodim icedax genisoimage

#
# wodim
#

wodim: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	cp -a wodim/wodim.dfl $(b)/$@/etc/wodim.conf
	cp -a netscsid/netscsid.dfl $(b)/$@/etc/netscsid.conf
#	cp debian/reportbug.presubj $(b)/$@/usr/share/bug/wodim/presubj
	dh_link              -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@
	dh_installchangelogs -p$@ -P$(b)/$@ Changelog
	dh_install			 -p$@ -P$(b)/$@
	dh_strip             -p$@ -P$(b)/$@
	dh_installexamples   -p$@ -P$(b)/$@ netscsid/netscsid.dfl wodim/wodim.dfl misc/burnstuff
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_installdebconf    -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

#
# cdrecord dummy one
#

cdrecord: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_link              -p$@ -P$(b)/$@ 
	dh_install			 -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

#
# cdda2wav dummy one
#

cdda2wav: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_link              -p$@ -P$(b)/$@ 
	dh_install			 -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@


#
# mkisofs dummy one
#

mkisofs: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_link              -p$@ -P$(b)/$@ 
	dh_install			 -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

#
# genisoimage
#

genisoimage: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@
	dh_installchangelogs -p$@ -P$(b)/$@ $(iso)/ChangeLog zisofs_tools/CHANGES
	dh_install           -p$@ -P$(b)/$@
	dh_installman        -p$@ -P$(b)/$@ 3rd-party/zisofs_tools/mkzftree.1 3rd-party/geteltorito.1
#	cp debian/reportbug.presubj $(b)/$@/usr/share/bug/mkisofs/presubj
#	rm -f $(b)/$@/usr/bin/mkhybrid $(b)/$@/usr/share/man/man8/mkhybrid*
	dh_link              -p$@ -P$(b)/$@
	dh_strip             -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@


#
# icedax
#

icedax: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@ 
	dh_installchangelogs -p$@ -P$(b)/$@ 
	dh_install           -p$@ -P$(b)/$@
#	cp debian/reportbug.presubj $(b)/$@/usr/share/bug/icedax/presubj
	dh_strip             -p$@ -P$(b)/$@
	chmod 755 $(b)/$@/usr/bin/cdda2*
	dh_link              -p$@ -P$(b)/$@
	chmod 755 $(b)/$@/usr/bin/readmult
	chmod 755 $(b)/$@/usr/bin/pitchplay
	dh_installman        -p$@ -P$(b)/$@
# cludge, integrate into the official BS later
#	dh_installman        -p$@ -P$(b)/$@ doc/readmult.man doc/pitchplay.man doc/list_audio_tracks.man
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@


#
# cdrkit-doc
#

cdrkit-doc: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@
	dh_installchangelogs -p$@ -P$(b)/$@
	dh_install           -p$@ -P$(b)/$@
	dh_link              -p$@ -P$(b)/$@
	@-find $(b)/$@ | grep '\.svn' | xargs rm -rf
#	dh_strip             -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
#	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

binary: binary-indep binary-arch
.PHONY: binary clean binary-indep binary-arch build install install-save install-saved

## cdrkit 1.1.11

=== icedax/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-PROJECT (icedax)
-INCLUDE_DIRECTORIES(../include ../wodim ../libparanoia ${CMAKE_BINARY_DIR})
+PROJECT (icedax C)
+INCLUDE_DIRECTORIES(../include ../wodim ../libparanoia ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/include)
 include(../include/AddScgBits.cmake)
 include(../include/AddSchilyBits.cmake)
 include(../include/AddNetworkBits.cmake)

=== libhfs_iso/CMakeLists.txt ===
PROJECT (LIBhfs_iso C)
INCLUDE_DIRECTORIES(../include ../libhfs_iso ../wodim ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/include)
ADD_DEFINITIONS(-DUSE_LARGEFILES -DABORT_DEEP_ISO_ONLY -DAPPLE_HYB -DUDF -DDVD_VIDEO -DSORTING -DHAVE_CONFIG_H -DUSE_LIBSCHILY -DUSE_SCG)


SET(LIBhfs_iso_SRCS block.c btree.c data.c file.c gdata.c hfs.c low.c node.c record.c volume.c)

ADD_LIBRARY (hfs_iso STATIC ${LIBhfs_iso_SRCS})

=== libusal/CMakeLists.txt ===
PROJECT (LIBSCG C)
INCLUDE_DIRECTORIES(../include ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/include)
include(../include/AddScgBits.cmake)
ADD_DEFINITIONS(-DUSE_RCMD_RSH)

#SET(LIBSCG_SRCS rdummy.c usalsettarget.c usaltimes.c scsi-linux-ata.c scsi-linux-pg.c scsi-linux-sg.c scsierrs.c scsihack.c scsihelp.c scsiopen.c scsitransp.c)
SET(LIBSCG_SRCS usalsettarget.c usaltimes.c scsierrs.c scsihack.c scsihelp.c scsiopen.c scsitransp.c scsi-remote.c)
LINK_DIRECTORIES(../librols)
ADD_LIBRARY (usal STATIC ${LIBSCG_SRCS})
TARGET_LINK_LIBRARIES(usal ${SCG_SELF_LIBS})

=== wodim/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-PROJECT (CDRECORD)
-INCLUDE_DIRECTORIES(../include ../libedc ${CMAKE_BINARY_DIR})
+PROJECT (CDRECORD C)
+INCLUDE_DIRECTORIES(../include ../libedc ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/include)
 INCLUDE(../include/AddScgBits.cmake)
 include(../include/AddSchilyBits.cmake)

=== debian/changelog ===
cdrkit (9:1.1.11-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #974914)
  * Fix building with CMake 4.  (Closes: #1112771)

  [ Heinrich Schuchardt ]
  * isoinfo: Support EFI architecture.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Sep 2025 22:57:14 +0200

cdrkit (9:1.1.11-4) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload of Debian team.
  * Move packaging to Salsa Debian team
    Closes: #1085409
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Do not parse d/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Does not FTCBS / hides compiler invocations any more since 1.1.11-3.3
    thus Closes: #902402

  [ Lunar ]
  * Allow dates in PVD to be set
    Closes: #783513
    (RIP Lunar!)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2024 18:12:35 +0100

cdrkit (9:1.1.11-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066264).

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 14 Mar 2024 21:53:13 +0500

cdrkit (9:1.1.11-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure for binary-indep packages.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 24 Jun 2022 22:56:39 +0800

cdrkit (9:1.1.11-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Port to debhelper 13 (Closes: #965449)
  * Add debian/patches/fix_format-security.patch: fix build failed for
    hardening.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 28 May 2022 03:22:51 +0800

cdrkit (9:1.1.11-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Apply patch from Fedora to fix build with GCC 10 (Closes:
    #957074)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 04 Feb 2021 22:36:29 +0100

cdrkit (9:1.1.11-3.1) unstable; urgency=medium

  * Non-maintainer upload (With Steve approval).
  * Add mkisofs (and such) compatibility symlinks and adjust the necessary
    Conflits/Provides/Replaces, this puts the debian package inline with the
    other distributions (Closes: #680949)
  * Switch to dpkg-source 3.0 (quilt) format and extract the existing patches
  * debian/patches/add-efi-boot.patch: Apply Fedora patch by Peter Jones to
    add EFI boot support. (Closes: #658120)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 Jan 2020 20:22:43 +0100

cdrkit (9:1.1.11-3) unstable; urgency=medium

  * Fix FTBFS on kfreebsd-*. Closes: #754642. kfreebsd-* now includes a
    <sys/capability.h> which is not compatible with the same file on
    linux, and nor does it imply -lcap will work. Fix the detection code
    to cope with this.

 -- Steve McIntyre <93sam@debian.org>  Tue, 22 Jul 2014 00:56:34 +0100

cdrkit (9:1.1.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * geteltorito.pl: update to version 0.5, fixing the bug that prevent it
    to work with hdd images (Closes: #648935, #611784)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 18 Jun 2014 12:02:31 +0200

cdrkit (9:1.1.11-2) unstable; urgency=low

  * Modify build-dependencies to better support kFreeBSD folks. Thanks to
    Robert Millan for the patch. Closes: #634380.
  * Fix up lintian warnings:
    - update standards-version
    - fix usage of dh_clean to make sure we don't keep debhelper log files
    - add rules for build-arch and build-indep

 -- Steve McIntyre <93sam@debian.org>  Thu, 21 Jul 2011 12:49:12 +0100

cdrkit (9:1.1.11-1) unstable; urgency=low

  * New upstream release.
    - genisoimage: Fix silly bug in MD5 output in template files.
      Closes: #596681
    - Update references to atterer.org (Closes: #596860)
    - Minor tweaks to the genisoimage.1 man page
  * Remove the old cdrecord/cdda2wav/mkisofs transitional packages.
    Closes: #513024
  * Updates for lintian warnings:
    - Add ${misc:Depends}
    - Fix build dependency on cmake to be less version specific
    - Change ordering of dh_ commands
    - Updated Standards-Version to 3.9.1
    - Refer to /usr/share/common-licenses/GPL-2 instead of
      /usr/share/common-licenses/GPL
    - Fix some typos/spelling mistakes in docs
    - Removed empty wodim maintainer scripts

 -- Steve McIntyre <93sam@debian.org>  Sun, 17 Oct 2010 23:33:48 +0100

=== debian/control ===
Source: cdrkit
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: otherosfs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libbz2-dev,
               zlib1g-dev,
               cmake,
               libcap2-dev [linux-any],
               libcam-dev [kfreebsd-any],
               libmagic-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/cdrkit
Vcs-Git: https://salsa.debian.org/debian/cdrkit.git

Package: wodim
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: genisoimage
Suggests: cdrkit-doc
Conflicts: cdrecord,
           xcdroast (<< 0.98+0alpha15-11)
Provides: cdrecord
Replaces: cdrtools-doc,
          cdrecord
Description: command line CD/DVD writing tool
 wodim allows you to create CDs or DVDs on a CD/DVD recorder.
 It supports writing data, audio, mixed, multi-session, and CD+ disc and DVD
 data and video disks on DVD capable devices, on just about every type of
 CD/DVD recorder out there.
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: genisoimage
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: wodim,
          cdrkit-doc
Conflicts: mkhybrid,
           mkisofs
Provides: mkisofs
Replaces: mkisofs
Description: Creates ISO-9660 CD-ROM filesystem images
 genisoimage is a pre-mastering program for creating ISO-9660 CD-ROM
 filesystem images, which can then be written to CD or DVD media using
 the wodim program. genisoimage includes support for making bootable
 "El Torito" CDs, as well as CDs with support for the
 Macintosh HFS filesystem.
 .
 The package also includes extra tools useful for working with ISO images:
  * mkzftree - create ISO-9660 image with compressed contents
  * dirsplit - easily separate large directory contents into disks of
    predefined size
  * geteltorito - extract an El Torito boot image from a CD image
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: icedax
Architecture: any
Section: sound
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: vorbis-tools,
          cdrkit-doc
Conflicts: cdda2wav
Provides: cdda2wav
Replaces: cdda2wav
Description: Creates WAV files from audio CDs
 icedax lets you digitally copy ("rip") audio tracks from a CD, avoiding
 the distortion that is introduced when recording via a sound card. Data
 can be dumped into raw (cdr), wav or sun format sound files. Options control
 the recording format (stereo/mono; 8/16 bits; sampling rate, etc).
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: cdrkit-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: wodim,
          genisoimage,
          icedax
Conflicts: cdrtools-doc
Replaces: cdrtools-doc
Description: Documentation for the cdrkit package suite
 This is the documentation for the cdrkit package suite, namely
 wodim, genisoimage and icedax.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for cdrkit.  GPL2
# Original from Erik Andersen <andersee@debian.org>
#

PACKAGE = cdrkit

i=$(CURDIR)/debian/tmp/usr
ziso_VERSION = $(shell cat 3rd-party/zisofs_tools/version)
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf
	echo "#define ZISOFS_TOOLS_VERSION \"$(ziso_VERSION)\"" > 3rd-party/zisofs_tools/version.h
	dh_autoreconf -D3rd-party/zisofs_tools

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure -D3rd-party/zisofs_tools

override_dh_auto_build:
#	@if test -f ../cdrkit_$(DEB_VERSION).tar.gz ; then \
#		echo "You should not create native packages! Remove ../cdrkit_$(DEB_VERSION).tar.gz and copy upstream source to .orig.tar.gz" ; \
#		exit 1 ; \
#	fi
	@echo "--- Compiling"
	dh_auto_build
	dh_auto_build -D3rd-party/zisofs_tools

override_dh_auto_clean:
	@echo "--- Cleaning"
	dh_auto_clean
	dh_auto_clean -D3rd-party/zisofs_tools
	-rm -rf debian/build debian/files
	-rm -f `find . -name "*~"`
	-rm -rf `find . -name "\.deps"`
	-rm -rf `find . -name "\.libs"`
	-rm -rf `find . -name "*\.rej"`
	-rm -rf build

override_dh_auto_install:
	@echo "--- Installing"
	dh_auto_install -- PREFIX=/usr
	install -m 755 3rd-party/geteltorito/geteltorito.pl $(i)/bin/geteltorito
	install -m 755 3rd-party/zisofs_tools/mkzftree $(i)/bin/
	install -m 755 icedax/cdda2ogg $(i)/bin/
	install -m 755 icedax/cdda2mp3 $(i)/bin/
	install -m 755 icedax/readmult $(i)/bin/
	install -m 755 icedax/pitchplay $(i)/bin/
# wodim
	@echo "--- Building: wodim"
	mkdir -p $(CURDIR)/debian/wodim/etc
	cp -a wodim/wodim.dfl $(CURDIR)/debian/wodim/etc/wodim.conf
	cp -a netscsid/netscsid.dfl $(CURDIR)/debian/wodim/etc/netscsid.conf
